Subject: [PATCH 0/1] Support multiple profiles with '--list-installed'.

From: zimoun <[email-masked]>
Date: Thu, 14 May 2020 16:13:50 +0200

Dear,

As reported [1],

   guix package -p profile1 -p profile2 -I
and
   guix package -p profile2 -p profile2 -I

return different list; the one of the first profile actually.

This patch fixes this unexpected behaviour.

Last, I have failed to add a test in 'tests/guix-package.sh'.  I am not sure
to understand how the store is handled when running the test suite.

All the best,
simon

[1] http://issues.guix.gnu.org/40549#21

zimoun (1):
  guix package: Support multiple profiles with '--list-installed'.

 guix/scripts/package.scm | 31 +++++++++++++++++--------------
 1 file changed, 17 insertions(+), 14 deletions(-)

-- 
2.26.1